UCMA и Framework 3.5

Ставил вчера OCS 2007 R2 на Windows Server 2008 R2 с последними обновлениями (в таком виде мне передали сервер). В качестве БД использовался SQL 2008. В общем, решение, которое стало поддерживаться только недавно и установка которого имеет множество подводных камней.

При попытке установить Front End получил сообщение, что Unified Communications Management API не будет установлен, т.к. в системе отсутствует Framework 3.5. Само собой, компонент .NET Framework 3.5 SP1, входящий в состав системы, был установлен мной заранее. После долгих разборов нашел статью одного из коллег MVP. Проверил, действительно – пара продуктов начинающихся на Framework 4 была на сервере. Продолжив разбираться, выяснил, что .NET Framework 4 Client Profile теперь распространяется через WSUS. Почему UCMA не смог увидеть .NET Framework 3.5 SP1 за .NET Framework 4 понятно, наверно, только программистам из Индии.

Морали у этой сказки не будет, а информация, надеюсь, кому-то пригодится.

Добавить комментарий

Заполните поля или щелкните по значку, чтобы оставить свой комментарий:

Логотип WordPress.com

Для комментария используется ваша учётная запись WordPress.com. Выход / Изменить )

Фотография Twitter

Для комментария используется ваша учётная запись Twitter. Выход / Изменить )

Фотография Facebook

Для комментария используется ваша учётная запись Facebook. Выход / Изменить )

Google+ photo

Для комментария используется ваша учётная запись Google+. Выход / Изменить )

Connecting to %s


%d такие блоггеры, как: